<?php

/** Exit if accessed directly. */
if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit;
}
final class FSRS_TAB_DASHBOARD {
	private static $instance;

	public function __construct() {
		if ( ! current_user_can( 'manage_options' ) ) {
			return;
		}
		ob_start();
		include_once FSRS_ADMIN_DIR . 'template/fsrs-dashboard-menu-temp.php';
		echo ob_get_clean();
	}

	public static function get_instance(): FSRS_TAB_DASHBOARD {

		if ( ! isset( self::$instance ) && ! ( self::$instance instanceof self ) ) {

			self::$instance = new self;

		}

		return self::$instance;
	}
}